% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/shaff.R
\name{shaff}
\alias{shaff}
\title{SHAFF: SHApley eFfects via random Forests}
\usage{
shaff(data, num.trees = 500, mtry = NULL, K = 500)
}
\arguments{
\item{data}{Training data of class \code{data.frame}, \code{matrix}, \code{dgCMatrix} (Matrix) or \code{gwaa.data} (GenABEL). Name of output variable must be Y.}

\item{num.trees}{Number of trees.}

\item{mtry}{Number of variables to possibly split at in each node. Default is the (rounded down) square root of the number variables. Alternatively, a single argument function returning an integer, given the number of independent variables.}

\item{K}{Number of variable subsets U for the Importance Sampling. Default is 500.}
}
\value{
Vector of Shapley effects estimated by SHAFF.
}
\description{
Run shaff to estimate Shapley effects from input data.
}
