## Tests for print function

library(shaff)
context("shaff_print")

## Initialize the random forest
rf <- shaff(Species ~ ., iris, num.trees = 5, write.forest = TRUE)

## Test print shaff function
expect_that(print(rf), prints_text("SHAFF result"))

## Test print forest function
expect_that(print(rf$forest), prints_text("SHAFF forest object"))

## Test print prediction function
expect_that(print(predict(rf, iris)), prints_text("SHAFF prediction"))

## Test str shaff function
expect_that(str(rf), prints_text("List of 14"))

## Test str forest function
expect_that(str(rf$forest), prints_text("List of 9"))
